#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#The script collects all the data center objects types that exist on the management server, and returns it in a single line separated by commas

ECHO=/bin/echo
SED=/bin/sed
AWK=/bin/awk
PASTE=/bin/paste

output=$(psql_client cpm postgres -c "select cmstype from cms_data where dlesession=0 AND not deleted;" | $AWK 'NR > 2 && NF > 0 {print $1}' | $SED '$d' | $PASTE -sd "," )
$ECHO "DataCenterTypes=$output,"

exit 0