#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

GREP=/bin/grep
ECHO=/bin/echo
LSMOD=/sbin/lsmod

# Check if there's a e1000 driver in use in the system
$LSMOD | $GREP -wq "e1000"
if [ $? -eq 0 ] ; then
    $ECHO "e1000_driver_found"
else
    $ECHO "e1000_driver_not_found"
fi

exit 0
