#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo

CPPROD_UTIL=$CPDIR/bin/cpprod_util
IS_VSX=`$CPPROD_UTIL FwIsVSX | tr -d ' ' 2>/dev/null`

if [ "X$IS_VSX" != "X1" ] ; then
	endCheck 0 "Not VSX gateway"
fi

IS_SP=`/usr/bin/is_scalable_platform.sh 2>/dev/null`
if [ "X$IS_SP" == "X1" ] ; then
	g_all -vs all -a 'ln -s $CPDIR/conf/sic_cert.p12 $FWDIR/conf/sic_cert.p12' 1>/dev/null 2>&1
        endCheck 0 "SP VSX Gateway"
else
	endCheck 0 "Not SP VSX Gateway"
fi