#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

# THIS SCRIPT IS FOR dedicated R80 LogServer / SmartEvent ONLY !!


CPPROD_UTIL=$CPDIR/bin/cpprod_util
BUILD_NUMBER=$CPDIR/conf/build_number.conf

ECHO="/bin/echo"
HEAD="/usr/bin/head"
CUT="/bin/cut"


# if this is MDS machine then this script is not relevant , return success
if ! [ "X$MDSDIR" == "X" ]; then
    $ECHO "success"
	exit 0
fi

# if our version is prior to R80 then this script is not relevant , return success
ver=`$HEAD -n 1 $BUILD_NUMBER | $CUT -d '"' -f 2`
if ! [ "X$ver" == "XR80" ]; then
		$ECHO "success"
		exit 0
fi


isLogServer=`$CPPROD_UTIL CPPROD_GetValue FW1 LogServer 4 2>/dev/null`
if [ "X$isLogServer" == "X1" ]; then
  upgrade_cpapplicationuser=$(psql_client cpm postgres -t -c "select objid from userbase_data where name='upgrade' and dlesession=0 and not deleted;" 2>/dev/null)
  if [ -z "$upgrade_cpapplicationuser" ]; then
	  output="A required internal object is missing in database. Refer to sk123013 before running the operation again."
  fi  
fi


if [ "X$output" == "X" ]
then
    $ECHO "success"
else
    $ECHO $output
fi


exit 0
