#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
OUTPUT="is_SP=\"0\""

if [[ -f /usr/bin/is_scalable_platform.sh ]]; then
	is_mixed=$(/usr/lib/smo/libsmo.sh is_mixed)
	if [ $is_mixed == "NA" ]; then
		is_mixed=0
	fi
	model=$(/usr/lib/smo/libappliance.sh appliance_get_origin_marketing_name | awk '{ print $NF }')
	is_ds_enabled=$(dynamic_split -g)
	OUTPUT="is_SP=\"1\" model=\"$model\" is_mixed=\"$is_mixed\" is_ds_enabled=\"$is_ds_enabled\""
fi

$ECHO $OUTPUT

exit 0
