#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
GREP=/bin/grep

LOCAL_RULE_PATH="$FWDIR/state/local/FW1/local.rule"

if [ -f $LOCAL_RULE_PATH ]
then
	IS_SPLIT_TUNNELING=`$GREP -E 'RA_EXCLUDE|RA_INCLUDE' $LOCAL_RULE_PATH 2>/dev/null 2>&1`
fi

#set default to disable
split_tunneling="0"

#Check if split tunneling is used 
if [ "X$IS_SPLIT_TUNNELING" != "X" ]; then
	split_tunneling="1"
fi

$ECHO "split_tunneling='$split_tunneling'"

exit 0
