#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies take of bundle installed
#parameters received:
# 1) 'max_take', user defined max DA build in conitions set
# 2) 'min_take' user defined min DA build in conitions set
# 3) 'machineDABuild' received from collect

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
rv=0

#parameters received are 'bundle1_name', 'min1_take', 'max1_take' and parameters from collect are 'bundle1_found', 'take1_number'
#'bundle2_name', 'min2_take', 'max2_take' and parameters from collect are 'bundle2_found', 'take2_number'
parseArgs "$@"

error_verifying="Could not verify take number for bundle $bundle_name"

RESULT=""
rv_bundle1 = 0

if [ $bundle_found == 1 ] && { [ $jumbo_found == 0 ] || [ $jumbo_take_number -lt $min_jumbo_take ]; };
then 
	rv=1
	RESULT="It was found that a hotfix (HF) preventing internal users from connecting to the Remote-Access VPN has been installed. Note that the behavior of the new Jumbo HF has changed: Remote Access VPN for local accounts authenticated only with Check Point password created in R80.20 or earlier, and not updated after R80.30 will be blocked until they reset their password."
fi

endCheck $rv "$RESULT"

