#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies whether there is a datacenter with the nsx type.
#parameters received:
# 1) 'DataCenterTypes' String - Data Center types of all of the data center objects

ECHO=/bin/echo
GREP=/bin/grep
NSX="NSX,"

#return value default value is 1
rv=1

parseArgs "$@"

if $ECHO "$DataCenterTypes" | $GREP -q "$datacenter_type,"; then 
	message="$datacenter_type Data Center exists"
	rv=0
else
	message="$datacenter_type Data Center does not exist"
fi


endCheck $rv "$message"
