#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#parameters received:
# 1.'matchingSectorSizes' Boolean - True if sectors in same size

#return value default value is 0
rv=0
message=""


parseArgs "$@"
platforms=(openstack vmware)

for platform in $platforms
do
	if [ -f /etc/in-${platform} ]
	then
		if [ $matchingSectorSizes == 'False' ]
		then
			message="Different physical and logical sector sizes found in unsupported platform"
		else
			message="Same physical and logical sector sizes found in unsupported platform"
			rv=1
		fi
	else
		message="Platform supported for different sector sizes"
		rv=1
	fi
done

endCheck $rv "$message"
