#!/bin/bash
LOGF=/opt/CPInstLog/connection_test.log
rm -rf $LOGF
if [[ -z $1 ]]
	then
		echo "Running for 180 seconds" >> $LOGF
		time=180
	else
	      echo "Running for $1 seconds" >> $LOGF
	      time=$1
fi
test_val=`dbget installer:stop` > /dev/null 2>&1
while [[ !("$test_val" =~ "not running.") ]]
do
sleep 1
test_val=`dbget installer:stop` > /dev/null 2>&1
done
sleep 1
dbget installer:stop > /dev/null 2>&1
sleep 1
echo "cplic output" >> $LOGF
cplic print  >> $LOGF
echo "" >> $LOGF
echo "Proxy configuration: " >> $LOGF
dbget proxy:ipv4-address >> $LOGF
dbget proxy:ipv6-address >> $LOGF
dbget proxy:ip-address >> $LOGF
dbget proxy:port >> $LOGF
echo "" >> $LOGF
#echo "ping DC:" >> $LOGF
#ping updates.checkpoint.com >> $LOGF 2>&1
echo "" >> $LOGF
echo "cpvinfo DA service:" >> $LOGF
cpvinfo /opt/CPda/bin/DAService >> $LOGF 2>&1

export TDERROR_ALL_ALL=5

/opt/CPda/bin/DAService >> $LOGF 2>&1 &
sleep $time
unset TDERROR_ALL_ALL
killall DAService > /dev/null 2>&1
sleep 2
test_val=`dbget installer:start` > /dev/null 2>&1
while [[ !("$test_val" =~ "already running") ]]
 do
sleep 1
test_val=`dbget installer:start` > /dev/null 2>&1
done

echo "please send log file: $LOGF"



























