#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects the machines appliance name and machine series

ECHO=/bin/echo
EGREP=/bin/egrep
XMLLINT=/usr/bin/xmllint

machine_appliance_name="`$ECHO "cat //model/name/text()" | $XMLLINT --shell /etc/appliance_config.xml | $EGREP '^\w'`"
machine_series="`$ECHO "cat //model/series/text()" | $XMLLINT --shell /etc/appliance_config.xml | $EGREP '^\w'`"

$ECHO "machine_appliance_name='$machine_appliance_name' machine_series='$machine_series'"

exit 0