#!/bin/bash
. `dirname $0`"/DDR_shared_functions"
echo "test" > /home/admin/test.txt
ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
SED=/bin/sed
ECHO=/bin/echo
CAT=/bin/cat
TAKE_INFO_FILE="/sysimg/CPwrapper/linux/MiniWrapper/take.info"
OUTPUT="take_found=\"0\""

#parameters received are 'bundle_name' and 'min_bundle_take' and 'max_bundle_take' and 'jumbo_name' and 'min_jumbo_take' and 'max_jumbo_take'
parseArgs "$@"
#set default to 'not found'
bundle_found="0"
bundle_take_number="0"
jumbo_found="0"
jumbo_take_number="0"
curVersion=`$CPPROD_UTIL CPPROD_GetCurrentVersion cpshared | $SED 's/\s//g'`


$CPPROD_UTIL CPPROD_GetValue FW1//$curVersion//HotFixes $bundle_name 0 > /dev/null 2>&1

if [ $? -eq 0 ]
then
  bundle_found="1"
 
fi


$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//HotFixes BUNDLE_$jumbo_name 0 > /dev/null 2>&1

if [ $? -eq 0 ]
then
        jumbo_found="1"
		# get take number from CPUSE registry
		jumbo_take_number=`$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//BUNDLE_$jumbo_name SU_Build_Take 0` 
fi

$ECHO "bundle_found=\"$bundle_found\" jumbo_found=\"$jumbo_found\" jumbo_take_number=\"$jumbo_take_number\" "
exit 0