#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

CLOUD_VERSION=/etc/cloud-version
GREP=/bin/grep
AWK=/bin/awk
ECHO=/bin/echo

#set default to 'not found'
template_name="0"


if [ -f "$CLOUD_VERSION" ]; then 
   template_name=$($GREP -m 1 "template_name:" "$CLOUD_VERSION" | $AWK '{print $2}') 
fi

$ECHO "template_name=$template_name"
exit 0