#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects the machine role

CPPROD_UTIL=$CPDIR/bin/cpprod_util
ECHO=/bin/echo

IS_USER_MODE=`$CPPROD_UTIL FwIsUsermode`

if [ $? == 0 ] ; then
	if [ $IS_USER_MODE == 1 ] ; then
		$ECHO "FW is in User Mode"	
	else
		$ECHO "FW is in Kernel Mode"
	fi
else
	$ECHO "Internal DDR Error"
fi

exit 0
