#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo

#Check if the machine is a cluster member
IS_CLUSTER_MEMBER=`cphaprob stat 2>/dev/null`
if [ $? != 0 ] ; then
	$ECHO "Not a cluster member"	
else
	IS_CLUSTER_MEMBER=`$ECHO $IS_CLUSTER_MEMBER` # remove spaces
	if [ "$IS_CLUSTER_MEMBER" == "HA module not started." ] ; then
		$ECHO "Not a cluster member"
	else
		$ECHO "success"
	fi
fi

exit 0