#!/bin/bash
. `dirname $0`"/DDR_shared_functions"


ECHO=/bin/echo
CAT=/bin/cat
OUTPUT="is_mho=\"0\""

if [[ -f /usr/bin/is_scalable_platform.sh ]]; then

	IS_SCALABLE_PLATFORM_MHO=`/usr/bin/is_scalable_platform.sh mho`
	OUTPUT="is_mho=\"$IS_SCALABLE_PLATFORM_MHO\""
		
	if [ "$IS_SCALABLE_PLATFORM_MHO" == "1" ]; then
		is_safe_to_halt=0
		if [[ -f /usr/bin/is_safe_to_halt ]]; then 
			(/usr/bin/is_safe_to_halt -q &> /dev/null)
			is_safe_to_halt=$?
		fi
		OUTPUT="is_mho=\"$IS_SCALABLE_PLATFORM_MHO\" is_safe_to_halt_rc=\"$is_safe_to_halt\""
	fi
fi

$ECHO $OUTPUT

exit 0
