#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects whether a task is registered in cpd_sched.
#parameter received is 'task_name'

ECHO=/bin/echo
CPD_SCHED_BIN=$CPDIR/bin/cpd_sched_config
GREP=/bin/grep

#parameter received is 'task_name'
parseArgs "$@"
#set default to 'not found'
task_found="0"

CPD_PRINT=$($CPD_SCHED_BIN print | $GREP $task_name 2> /dev/null)
if [ ! -z "$CPD_PRINT" ];
then
	task_found="1"
fi
		
$ECHO "task_found='$task_found'"

exit 0