#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects the machine role

CPPROD_UTIL=$CPDIR/bin/cpprod_util
ECHO=/bin/echo

UPPAK_IS_USER_MODE=`$CPPROD_UTIL SxlIsUsermode`

if [ $? == 0 ] ; then
	if [ $UPPAK_IS_USER_MODE == 1 ] ; then
		$ECHO "UPPAK is in User Mode"	
	else
		# double-check this isn't a UPPAK-enabled box in bypass mode.  
		BYPASS_ENABLED=`$CPPROD_UTIL SxlIsAutoDisable`
		if [ $BYPASS_ENABLED == 0 ] ; then
			$ECHO "UPPAK is in Kernel Mode"
		else
			$ECHO "UPPAK is in User Mode"
		fi
	fi
else
	$ECHO "Internal DDR Error"
fi

exit 0
