#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
EGREP=/bin/egrep
XMLLINT=/usr/bin/xmllint
GREP=/bin/grep
DMIDECODE=/usr/sbin/dmidecode

result="false"

machine_appliance_name="`$ECHO "cat //model/name/text()" | $XMLLINT --shell /etc/appliance_config.xml | $EGREP '^\w'`"
$DMIDECODE | $GREP -e 'Manufacturer: VMware' -e 'Manufacturer: Xen' -e 'Product Name: Virtual Machine' -e 'Product Name: KVM' -e 'Product Name: OpenStack' -e 'Product Name: Google' -e 'Manufacturer: QEMU' -e 'Manufacturer: Alibaba Cloud' -e 'Manufacturer: Microsoft Corporation' > /dev/null 2>&1
RC=$?

if [ "X$machine_appliance_name" = "XOpen Server" -a "X$RC" != "X0" ]
then
	result="true"
fi

endCheck 0 "result=$result"
