#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies take of bundle installed
#parameters received:
# 1) 'max_take', user defined max DA build in conitions set
# 2) 'min_take' user defined min DA build in conitions set
# 3) 'machineDABuild' received from collect

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
rv=1

#parameters received are 'take_on_machine', 'branch_on_machine' from collect script, and 'take' and "branch from condition set'
parseArgs "$@"


if [ X$take_on_machine = "X$take" ] && [ "X${branch_on_machine}" = "X${branch}" ];then
	rv=0
fi
RESULT="$module from $bundle take $take installed: $rv"


endCheck $rv "$RESULT"


